A B C D E F G H I J K L M N O P Q R S T U V W X Y Z _

## R

rawEvaluateValue(XMLFragment, Collection<XBRLVariableResourceUse>) - Method in class com.ihr.xbrl.om.formula.XBRLVariableFact
rawEvaluateValue(XMLFragment, Collection<XBRLVariableResourceUse>) - Method in interface com.ihr.xbrl.om.formula.XBRLVariableFormulaEvaluable
  Evaluates the resource internal XPath expression and returns the sequence.
rawEvaluateValue(XMLFragment, Collection<XBRLVariableResourceUse>) - Method in class com.ihr.xbrl.om.formula.XBRLVariableGeneral
rawEvaluateValue(XMLFragment, Collection<XBRLVariableResourceUse>) - Method in class com.ihr.xbrl.om.formula.XBRLVariableInternal
rawEvaluateValue(XMLFragment, Collection<XBRLVariableResourceUse>) - Method in class com.ihr.xbrl.om.formula.XBRLVariableParameter
RC_XFI_concept_relationships - Class in com.ihr.xbrl.om.formula.functions.reusable
  Reusable code for the XFI_Concept_Relationships function.
RC_XFI_concept_relationships() - Constructor for class com.ihr.xbrl.om.formula.functions.reusable.RC_XFI_concept_relationships
RC_XFI_concept_relationships.Axis - Enum in com.ihr.xbrl.om.formula.functions.reusable
  The Enum Axis.
RC_XFI_concept_relationships_drs - Class in com.ihr.xbrl.om.formula.functions.reusable
  Reusable code for the XFI_Concept_Relationships function.
RC_XFI_concept_relationships_drs() - Constructor for class com.ihr.xbrl.om.formula.functions.reusable.RC_XFI_concept_relationships_drs
RC_XFI_concept_relationships_drs.Axis - Enum in com.ihr.xbrl.om.formula.functions.reusable
  The Enum Axis.
RC_XFI_concept_relationshipsBase - Class in com.ihr.xbrl.om.formula.functions.reusable
  There is a xfi function to return concept-relationships.
RC_XFI_concept_relationshipsBase() - Constructor for class com.ihr.xbrl.om.formula.functions.reusable.RC_XFI_concept_relationshipsBase
RC_XFI_concept_relationshipsBase.Axis - Interface in com.ihr.xbrl.om.formula.functions.reusable
  This is a mark interface in order to be implemented by enumerations in the DRS version and the XBRL2.1 version of this
readDefinitionNodeSubTree(XBRLDefinitionNodeUse, XBRLStructuralTable, Hashtable<String, Hashtable<Object, AspectAndDistanceToLeaf>>, String, HasParentChildAttribute.ParentChildEnum) - Method in class com.ihr.xbrl.om.table.definition.XBRLConceptRelationshipNode
readDefinitionNodeSubTree() - Method in class com.ihr.xbrl.om.table.definition.XBRLDefinitionNode
  Read definition node sub tree.
readDefinitionNodeSubTree(XBRLDefinitionNodeUse, XBRLStructuralTable, Hashtable<String, Hashtable<Object, AspectAndDistanceToLeaf>>, String, HasParentChildAttribute.ParentChildEnum) - Method in class com.ihr.xbrl.om.table.definition.XBRLDimensionRelationshipNode
readDefinitionNodeSubTree(XBRLDefinitionNodeUse, XBRLStructuralTable, Hashtable<String, Hashtable<Object, AspectAndDistanceToLeaf>>, String, HasParentChildAttribute.ParentChildEnum) - Method in class com.ihr.xbrl.om.table.definition.XBRLRelationshipNode
  This method is called while building the structural table instance.
readInfoset() - Method in class com.ihr.xbrl.om.DTSContainer
  Method used to populate the object model in all objects defined within this DTS.
readInfoset() - Method in class com.ihr.xbrl.om.exLinks.XBRLLinkbase
readInfoset() - Method in class com.ihr.xbrl.om.instance.XBRLInstance
readInfoset() - Method in class com.ihr.xbrl.om.taxonomy.XBRLTaxonomy
readInfoset() - Method in class com.ihr.xbrl.om.XBRLDocument
  Read all structures that builds the infoset.
readResources() - Method in class com.ihr.xbrl.om.exLinks.LabelLinkbase
READSOURCE - Static variable in class com.ihr.xbrl.pojo.XBRLPojoGenerator
  This is another possible value for the EXTERNAL_FILES_DOCUMENT_CONTENT_METHOD property.
REC_2014_03_18 - Static variable in class com.ihr.xbrl.om.table.XBRLTableProcessor
  This constant identifies resources from the PWD 2013-05-17 table linkbase during the construction of the definition model, resources that belongs to this specification version are processed for the relationships defined in that specification version.
recompile() - Method in class com.ihr.xbrl.om.DTSContainer
  Recompile schemas loaded into the schemaconfiguration.
recoverLevel(int) - Method in class com.ihr.xbrl.om.formula.util.XFIImplicitFilterOptimizer
  Recover level.
RecursiveFunctionCall - Class in com.ihr.xbrl.om.formula.functions.custom
  The Class RecursiveFunctionCall.
RecursiveFunctionCall() - Constructor for class com.ihr.xbrl.om.formula.functions.custom.RecursiveFunctionCall
recycle() - Method in class com.ihr.xbrl.om.formula.XBRLVariableResourceUse
  This method sets the internal iterator to the first element and avoids evaluating the XPath expression again.
REDEFINE_ERROR - Static variable in exception com.ihr.xbrl.om.errors.XBRLValidationException
  The Constant REDEFINE_ERROR.
reencodeText(String) - Static method in class com.ihr.xbrl.util.TextTools
  Re encode a text string according with the rules defined in the EFM.
reference_commentary_URI - Static variable in class com.ihr.xbrl.om.exLinks.ReferenceLinkbase
  The Constant reference_commentary_URI.
reference_definition_URI - Static variable in class com.ihr.xbrl.om.exLinks.ReferenceLinkbase
  The Constant reference_definition_URI.
reference_disclosure_URI - Static variable in class com.ihr.xbrl.om.exLinks.ReferenceLinkbase
  The Constant reference_disclosure_URI.
reference_example_URI - Static variable in class com.ihr.xbrl.om.exLinks.ReferenceLinkbase
  The Constant reference_example_URI.
reference_mandatory_disclosure_URI - Static variable in class com.ihr.xbrl.om.exLinks.ReferenceLinkbase
  The Constant reference_mandatory_disclosure_URI.
reference_measurement_URI - Static variable in class com.ihr.xbrl.om.exLinks.ReferenceLinkbase
  The Constant reference_measurement_URI.
reference_presentation_URI - Static variable in class com.ihr.xbrl.om.exLinks.ReferenceLinkbase
  The Constant reference_presentation_URI.
reference_recommended_disclosure_URI - Static variable in class com.ihr.xbrl.om.exLinks.ReferenceLinkbase
  The Constant reference_recommended_disclosure_URI.
reference_role_URI - Static variable in class com.ihr.xbrl.om.exLinks.ReferenceLinkbase
  The Constant reference_role_URI.
reference_unspecified_disclosure_URI - Static variable in class com.ihr.xbrl.om.exLinks.ReferenceLinkbase
  The Constant reference_unspecified_disclosure_URI.
ReferenceLinkbase - Class in com.ihr.xbrl.om.exLinks
  The Class ReferenceLinkbase.
ReferenceLinkbase(XBRLDocument, XdmNode) - Constructor for class com.ihr.xbrl.om.exLinks.ReferenceLinkbase
  Instantiates a new reference linkbase.
ReferenceLinkbase(XBRLDocument, DTSBase) - Constructor for class com.ihr.xbrl.om.exLinks.ReferenceLinkbase
  Deprecated.
  use `ReferenceLinkbase.ReferenceLinkbase(XBRLDocument, XBRLRoleType)` instead
ReferenceLinkbase(XBRLDocument, XBRLRoleType) - Constructor for class com.ihr.xbrl.om.exLinks.ReferenceLinkbase
  Creates a new ReferenceLinkbase extended link container.
RegexFormatter - Class in com.ihr.xbrl.util
  The Class RegexFormatter.
RegexFormatter() - Constructor for class com.ihr.xbrl.util.RegexFormatter
  Instantiates a new regex formatter.
RegexFormatter(String) - Constructor for class com.ihr.xbrl.util.RegexFormatter
  Creates a regular expression based AbstractFormatter.
RegexFormatter(Pattern) - Constructor for class com.ihr.xbrl.util.RegexFormatter
  Creates a regular expression based AbstractFormatter.
RegexpEntityIdentifierFilter - Class in com.rs.xbrl.instructions
  The Class RegexpEntityIdentifierFilter.
RegexpEntityIdentifierFilter() - Constructor for class com.rs.xbrl.instructions.RegexpEntityIdentifierFilter
Region - Class in com.ihr.xbrl.util.workbooks
  This object represents a region in Excel represented by two corners, the top left corner and the bottom right corner.
Region(SheetPoint, SheetPoint) - Constructor for class com.ihr.xbrl.util.workbooks.Region
  Creates a new region instance by specifying two corners of the region.
registerBar(DTSLoadingBarInterface) - Method in interface com.ihr.xbrl.gui.interfaces.Stopable
  Sets the loading bar object that will be informed about progress in the loading process.
registerBar(DTSLoadingBarInterface) - Method in class com.ihr.xbrl.om.DTSContainer
registerBar(DTSLoadingBarInterface) - Method in class com.ihr.xbrl.pojo.XBRLPojoGenerator
  Register bar.
registerDriver(String, String) - Static method in class com.ihr.xbrl.manage.DbUtil
  Registers a new database.
RegisterExtraClasses - Interface in com.ihr.xbrl.manage
  Interface of the classes that provides extra configuration options and mappings between classes and tables in a Hibernate Configuration object.
registerFact(Fact) - Method in class com.ihr.xbrl.mapper.Fact
registerFact(Fact) - Method in interface com.ihr.xbrl.mapper.HasFacts
  Registers a new fact has been added to the container.
registerFact(Fact) - Method in class com.ihr.xbrl.mapper.MapperBase
registerInstructionsFactory(String) - Static method in class com.rs.xbrl.TaxonomyBuilder
  Instantiates and registers a new factory class for instructions.
registerProcessor(String, XBRLPlugInProcessor) - Method in class com.ihr.xbrl.om.DTSContainer
  Called by the processor to self register.
registerProcessor(XBRLPlugInProcessor, String, String, String[]) - Static method in class com.ihr.xbrl.om.DTSContainerPropertiesHelper
  Registers a new processor on this helper.
registerProcessorFactory(String, Class<? extends XBRLProcessorFactory>) - Static method in class com.ihr.xbrl.om.DTSContainer
  Register a new processor factory for the indicated processor name.
RegisterUserObjects - Class in com.ihr.xbrl.pojo.user
  The Class RegisterUserObjects.
RegisterUserObjects() - Constructor for class com.ihr.xbrl.pojo.user.RegisterUserObjects
Regular - Static variable in exception com.ihr.xbrl.om.formula.errors.XFxbrlcfieMissingCFIRelationship
  The Constant Regular.
RelationshipGraphNode<Z extends RelationshipGraphNode.Node<Z>> - Class in com.ihr.xbrl.om.table.definition
  The Class RelationshipGraphNode.
RelationshipGraphNode(Collection<RelationshipGraphNode.GraphNodeBuildingParameters<Z>>) - Constructor for class com.ihr.xbrl.om.table.definition.RelationshipGraphNode
  Instantiates a new relationship graph node.
RelationshipGraphNode.GraphNodeBuildingParameters<Z extends RelationshipGraphNode.Node<Z>> - Class in com.ihr.xbrl.om.table.definition
  The Class GraphNodeBuildingParameters.
RelationshipGraphNode.GraphNodeBuildingParameters(XMLElementDefinition, ArrayList<XBRLRelationship>, boolean, boolean, RelationshipGraphNode.NodeFactory<Z>) - Constructor for class com.ihr.xbrl.om.table.definition.RelationshipGraphNode.GraphNodeBuildingParameters
  Information to build up the graph must be provided as an instance of this class.
RelationshipGraphNode.Node<T extends RelationshipGraphNode.Node<?>> - Class in com.ihr.xbrl.om.table.definition
  The Class Node.
RelationshipGraphNode.NodeFactory<T extends RelationshipGraphNode.Node<T>> - Class in com.ihr.xbrl.om.table.definition
  A factory for creating Node objects.
RelationshipGraphNode.NodeFactory() - Constructor for class com.ihr.xbrl.om.table.definition.RelationshipGraphNode.NodeFactory
RelativeFilter - Class in com.rs.xbrl.instructions
  The Class RelativeFilter.
RelativeFilter() - Constructor for class com.rs.xbrl.instructions.RelativeFilter
relativePosition(Component) - Static method in class com.ihr.xbrl.gui.basic.ExceptionDialog
  Helper method to calculate a point that is 20 pixels down right of the location of the component received as a parameter.
relativize(URI, URI) - Static method in class com.ihr.xbrl.util.URITools
  Creates a new URI that contains a path relative to the base URI.
relativizeMore(URI, URI) - Static method in class com.ihr.xbrl.util.URITools
  Computes a relative path from the URI in the from argument to the URI in the to argument This function does not work if the incoming parameters contain several slashes together ie (file:/C:/hello////this%20is%20a%20test).
releaseLoader(Loader, DTSContainer) - Method in class com.ihr.xbrl.dataloader.LoaderEngine
  Liberates a loader so it can be used by other threads.
remainingString() - Method in class com.ihr.xbrl.xbrlq.QueryParser
  Used to obtain the unparsed query string.
remove(int) - Method in class com.ihr.xbrl.comparator.Event
  Removes the.
remove(Event) - Method in class com.ihr.xbrl.comparator.Event
  Removes the.
remove() - Method in class com.ihr.xbrl.comparator.XMLFragmentIterator
remove(Object) - Method in class com.ihr.xbrl.dts.FactsColumn
remove(int) - Method in class com.ihr.xbrl.dts.XBRLTreeNode
remove(MutableTreeNode) - Method in class com.ihr.xbrl.dts.XBRLTreeNode
remove() - Method in class com.ihr.xbrl.formula.FlVariable
remove() - Method in class com.ihr.xbrl.om.DTSContainer.IteratorConcepts
remove(XMLFragment, int, boolean) - Method in class com.ihr.xbrl.om.formula.FContext
  Removes the.
remove() - Method in class com.ihr.xbrl.om.formula.util.VariablesLoopController.ClsVariableSetCombinationsIterator
remove() - Method in class com.ihr.xbrl.om.formula.util.VariablesLoopController.ClsVariableSetCombinationsIterator2
remove() - Method in class com.ihr.xbrl.om.instance.FactIteratorSgFilter
remove(XBRLFact) - Method in class com.ihr.xbrl.om.instance.XBRLFactsContainer
  Removes the.
remove(XBRLFact) - Method in interface com.ihr.xbrl.om.instance.XBRLFactsList
  Removes a fact from the facts container.
remove(XBRLFact) - Method in class com.ihr.xbrl.om.instance.XBRLFactsListImpl
remove(XBRLFact) - Method in class com.ihr.xbrl.om.instance.XBRLFactTuple
remove(XBRLFact) - Method in class com.ihr.xbrl.om.instance.XBRLInstance
remove() - Method in class com.ihr.xbrl.util.ArrayIterator
remove() - Method in class com.ihr.xbrl.util.AttributeFilter
remove(Object) - Method in class com.ihr.xbrl.util.CollectionArray
remove(Object) - Method in class com.ihr.xbrl.util.EmptyCollection
remove() - Method in class com.ihr.xbrl.util.EmptyIterator
remove(Object) - Method in class com.ihr.xbrl.util.EmptySet
remove() - Method in class com.ihr.xbrl.util.JoinedIterator
remove(EventGroup) - Method in class com.ihr.xbrl.versioning.Action
  Removes the.
remove(int) - Method in class com.ihr.xbrl.versioning.Action
  Removes the.
remove(Action) - Method in class com.ihr.xbrl.versioning.Assignment
  Removes the.
remove(int) - Method in class com.ihr.xbrl.versioning.Assignment
  Removes the.
removeAction(Action) - Method in class com.ihr.xbrl.versioning.VlVersioningProcessor
  Removes the action.
removeAll(Collection<?>) - Method in class com.ihr.xbrl.util.CollectionArray
removeAll(Collection<?>) - Method in class com.ihr.xbrl.util.EmptyCollection
removeAll(Collection<?>) - Method in class com.ihr.xbrl.util.EmptySet
removeAllElements() - Method in class com.ihr.xbrl.gui.jarsearch.DlgSearchJarAndClass.ClassSelectionTableModel
  Removes the all elements.
removeAllTexts() - Method in class com.ihr.xbrl.versioning.Action
  Removes the all texts.
removeAllTexts() - Method in class com.ihr.xbrl.versioning.Assignment
  Removes the all texts.
removeArcroleType(XBRLArcroleType) - Method in class com.ihr.xbrl.om.taxonomy.XBRLTaxonomy
  Removes an arcrole type from the set of arcrole types defined in this taxonomy.
removeAssignment(Assignment) - Method in class com.ihr.xbrl.versioning.VlVersioningProcessor
  Removes the assignment.
removeAttribute(XBRLAttribute) - Method in class com.ihr.xbrl.om.XMLFragment
  Removes an attribute to the set of attributes of this XMLFragment.
removeAttribute(XMLAttribute) - Method in class com.ihr.xbrl.pojo.XMLFragment
  Removes the attribute.
removeChild(int) - Method in class com.ihr.xbrl.om.XMLFragment
  Removes an XMLFragment from the list of children elements of this resource.
removeChild(XMLFragment) - Method in class com.ihr.xbrl.om.XMLFragment
  Removes an XMLFragment from the list of children elements of this resource.
removeChildren(XMLFragment) - Method in class com.ihr.xbrl.pojo.XBRLScenario
  Removes the children.
removeChildren(XMLFragment) - Method in class com.ihr.xbrl.pojo.XBRLSegment
  Removes the children.
removeChildren(XMLFragment) - Method in class com.ihr.xbrl.pojo.XMLFragment
  Removes the children.
removeDefinitionNode(XBRLDefinitionNode) - Method in class com.ihr.xbrl.om.table.XBRLTableProcessor
  Removes the rule node.
removeDim(QName) - Method in class com.ihr.xbrl.om.formula.FContext
  Removes the dim.
removeDocumentation(XBRLDocumentation) - Method in interface com.ihr.xbrl.om.exLinks.XBRLAllowsDocumentation
  Remove a XBRLDocumentation object to this object.
removeDocumentation(XBRLDocumentation) - Method in class com.ihr.xbrl.om.exLinks.XBRLExtendedLink
removeDocumentation(XBRLDocumentation) - Method in class com.ihr.xbrl.om.exLinks.XBRLLinkbase
  Removes a XBRLDocumentation object from the array of documentation objects of this linkbase.
removeDomainMember(XMLFragment) - Method in class com.ihr.xbrl.om.xdt.XDTProcessor
  Removes the domain member.
removeExceptions(int) - Method in class com.ihr.xbrl.om.XBRLValidationReport
  Remove from current report all exceptions that matches the code indicated in the parameter.
removeExtendedLink(XBRLExtendedLink) - Method in class com.ihr.xbrl.om.exLinks.DTSBase
  Removes an extended link from this base.
removeExtendedLink(XBRLExtendedLink) - Method in class com.ihr.xbrl.om.XBRLDocument
  Removes the extended link.
removeExtendedLink(XBRLExtendedLink) - Method in class com.ihr.xbrl.pojo.XBRLLinkbase
  Removes the extended link.
removeFact(XBRLFact) - Method in interface com.ihr.xbrl.pojo.XBRLFactList
  Removes the fact.
removeFact(XBRLFact) - Method in class com.ihr.xbrl.pojo.XBRLFactTuple
removeFact(XBRLFact) - Method in class com.ihr.xbrl.pojo.XBRLInstance
removeFactsNotPass(List<?>) - Method in class com.ihr.xbrl.filters.CompanyFilter
removeFactsNotPass(List<?>) - Method in class com.ihr.xbrl.filters.ConceptNameFilter
removeFactsNotPass(List<?>) - Method in class com.ihr.xbrl.filters.DimensionFilter
removeFactsNotPass(List<?>) - Method in class com.ihr.xbrl.filters.ReportURIFilter
removeFactsNotPass(List<?>) - Method in class com.ihr.xbrl.filters.TimeFilter
removeFactsNotPass(List<?>) - Method in interface com.ihr.xbrl.filters.XBRLFilterInterface
  Removes the facts not pass.
removeFilter(String) - Method in class com.ihr.xbrl.dataloader.Loader
  Remove a filter from the loader.
removeFootnoteLink(XBRLExtendedLink) - Method in class com.ihr.xbrl.pojo.XBRLInstance
  Removes the footnote link.
removeFormula(XBRLFormula) - Method in class com.ihr.xbrl.om.formula.XBRLFormulaProcessor
  Marks a formula to be removed from the formula list.
removeFragment(URI) - Static method in class com.ihr.xbrl.util.URITools
  Removes the fragment.
removeFrom(XMLFragment) - Method in class com.ihr.xbrl.om.exLinks.XBRLArc
  Removes the from.
removeFromParent() - Method in class com.ihr.xbrl.dts.XBRLTreeNode
removeFromRelationship(XBRLRelationship) - Method in interface com.ihr.xbrl.om.exLinks.XBRLRelationshipPoint
  Removes the from relationship.
removeFromRelationship(XBRLRelationship) - Method in class com.ihr.xbrl.om.XMLFragment
removeIdOfElement(XMLFragment) - Method in class com.ihr.xbrl.om.XBRLDocument
  Removes the id of element.
removeIgnoreMessages() - Static method in class com.ihr.xbrl.om.RSRemoteCatalogResolver
  Removes the ignore messages.
removeImport(XBRLImport) - Method in class com.ihr.xbrl.om.taxonomy.XBRLTaxonomy
  Remove an existing import.
removeInclude(XBRLInclude) - Method in class com.ihr.xbrl.om.taxonomy.XBRLTaxonomy
  Removes am include form this taxonomy.
removeInScopeInstance(XBRLInstance) - Method in class com.ihr.xbrl.om.formula.XBRLFormulaProcessor
  Removes the in scope instance.
removeInstallWindow() - Method in interface com.ihr.xbrl.gui.interfaces.RSRemoteCatalogGUI
  Called by the RSRemoveCatalog when the GUI can be disposed.
removeInstanceExplorerListener(InstanceExplorerListener) - Static method in class com.ihr.xbrl.dts.InstanceExplorerAbstract
  Removes the instance explorer listener.
removeLinkbase(XBRLLinkbase) - Method in class com.ihr.xbrl.om.taxonomy.XBRLTaxonomy
  Removes a linkbase object that is referenced in this taxonomy.
removeMap(String, String) - Method in class com.ihr.xbrl.mapper.source.worksheet.AbstractWorksheetDataSource
  Removes a map from the internal collection.
removeNamespaceDeclarations(String) - Static method in class com.ihr.xbrl.util.XMLTools
  This method removes namespace declarations from the incoming string.
removeNodes(ArrayList<Z>) - Method in class com.ihr.xbrl.om.table.definition.RelationshipGraphNode
  Removes the nodes.
removePackage(String) - Static method in class com.ihr.xbrl.om.TaxonomyPackageURIResolver
  Removes the package.
removePackage(String) - Static method in class com.ihr.xbrl.om.ZipCascadeURIResolver
  Removes the package.
removePropertyChangeListener(PropertyChangeListener) - Method in class com.ihr.xbrl.dts.LabelsProviderBasic
  Remove a PropertyChangeListener from the listener list.
removePropertyChangeListener(String, PropertyChangeListener) - Method in class com.ihr.xbrl.dts.LabelsProviderBasic
  Remove a PropertyChangeListener for a specific property.
removePropertyChangeListener(PropertyChangeListener) - Method in class com.ihr.xbrl.dts.LangsProviderBasic
  Removes the property change listener.
removePropertyChangeListener(String, PropertyChangeListener) - Method in class com.ihr.xbrl.dts.LangsProviderBasic
  Removes the property change listener.
removeRelationship(XBRLRelationship) - Method in class com.ihr.xbrl.om.exLinks.DTSBase
  Removes the relationship.
removeRelationship(XBRLRelationship) - Method in class com.ihr.xbrl.om.exLinks.XBRLExtendedLink
  Removes the relationship.
removeResource(XBRLResource) - Method in class com.ihr.xbrl.om.exLinks.XBRLExtendedLink
  Removes the resource.
removeRoleType(XBRLRoleType) - Method in class com.ihr.xbrl.om.taxonomy.XBRLTaxonomy
  Removes a role type from the set of role types defined in this taxonomy.
removeStorageEventListener(StorageEventListener) - Method in class com.ihr.xbrl.store.StoreXBRLThread
  Removes the storage event listener.
removeTable(XBRLTable) - Method in class com.ihr.xbrl.om.table.XBRLTableProcessor
  Removes the table.
removeTo(XMLFragment) - Method in class com.ihr.xbrl.om.exLinks.XBRLArc
  Removes the to.
removeToRelationship(XBRLRelationship) - Method in interface com.ihr.xbrl.om.exLinks.XBRLRelationshipPoint
  Removes the to relationship.
removeToRelationship(XBRLRelationship) - Method in class com.ihr.xbrl.om.XMLFragment
removeTrailingSlash(String) - Static method in class com.ihr.xbrl.util.URITools
  Removes forward slash characters and the end of this pathName.
removeUnassignedFacts() - Method in class com.ihr.xbrl.mapper.Mapper
  This method removes from the loaded xbrlt template file all entries that has been mapped to an XBRLDataSource but the targer XBRLDataSource contains no further information about the fact map identifier.
removeUsedOn(XBRLUsedOn) - Method in class com.ihr.xbrl.om.taxonomy.XBRLRoleAndArcroleTypes
  Removes the used on.
removeXMLChild(XMLHasParent) - Method in class com.ihr.xbrl.om.instance.XBRLContext
removeXMLChild(XMLHasParent) - Method in class com.ihr.xbrl.om.instance.XBRLFactsListImpl
removeXMLChild(XMLHasParent) - Method in class com.ihr.xbrl.om.taxonomy.XBRLTaxonomy
removeXMLChild(XMLHasParent) - Method in class com.ihr.xbrl.om.XBRLAttribute
removeXMLChild(XMLHasParent) - Method in class com.ihr.xbrl.om.XMLFragment
removeXMLChild(XMLHasParent) - Method in interface com.ihr.xbrl.om.XMLHasParent
  Removes the xml child.
RenderHints - Class in com.ihr.xbrl.om.renderhints
  This is the render hints resource that applies to one XBRLRoleType.
RenderHints(XBRLExtendedLink, XdmNode) - Constructor for class com.ihr.xbrl.om.renderhints.RenderHints
  Instantiates a new render hints.
RenderHints(XBRLResource) - Constructor for class com.ihr.xbrl.om.renderhints.RenderHints
  Instantiates a new render hints.
RenderHints(XBRLExtendedLink) - Constructor for class com.ihr.xbrl.om.renderhints.RenderHints
  Constructs a new RenderHints empty resource.
RenderHints(XBRLExtendedLink, boolean) - Constructor for class com.ihr.xbrl.om.renderhints.RenderHints
  Instantiates a new render hints.
RenderHintsInstruction - Class in com.rs.xbrl.instructions.renderhints
RenderHintsInstruction() - Constructor for class com.rs.xbrl.instructions.renderhints.RenderHintsInstruction
RenderHintsProcessor - Class in com.ihr.xbrl.om.renderhints
  The Class RenderHintsProcessor.
RenderHintsProcessorFactory - Class in com.ihr.xbrl.om.renderhints
  Standard processor factory for the rendering hints processor.
RenderHintsProcessorFactory() - Constructor for class com.ihr.xbrl.om.renderhints.RenderHintsProcessorFactory
renderingHintsNode - Static variable in class com.ihr.xbrl.om.renderhints.RenderHints
  The Constant renderingHintsNode.
renumber() - Method in class com.ihr.xbrl.om.table.layout.EffectiveBreakdown
  Re assign row and column numbers to all cells in the tree of cell headers.
replace(Object, Object, Object) - Method in class com.ihr.xbrl.pojo.DB2ByteArray
replace(Object, Object, Object) - Method in class com.ihr.xbrl.pojo.OracleStringType
replaceExpressionsWithVariableValues(String, TraceVariablesBind) - Static method in class com.ihr.xbrl.util.XMLTools
  This method will replace variables in the xpathExpression with the evaluated values from the TraceVariablesBind The variable comparison is not perfect because at this time the input xpath expression is just a string so there is no way to determine the right namespace link to variables in the variables has a prefix.
replaceLastEvaluatedValue(XdmValue) - Method in class com.ihr.xbrl.om.formula.XBRLVariableResourceUse
  Sets the cache of the evaluated value to a specific value.
ReportURIFilter - Class in com.ihr.xbrl.filters
  The Class ReportURIFilter.
ReportWriter - Class in com.ihr.xbrl.versioning
  This class serializes the content of a versioning report in an XBRL instance document.
ReportWriter(URI, VlVersioningProcessor, String, String, String, String, String, DTSComparator, boolean, String) - Constructor for class com.ihr.xbrl.versioning.ReportWriter
  TODO: contexts are not needed anymore.
requestRSTocreatePackage(URI) - Method in interface com.ihr.xbrl.gui.interfaces.RSRemoteCatalogGUI
  Request rs tocreate package.
required - Static variable in class com.ihr.xbrl.om.formula.XBRLVariableParameter
  The Constant required.
REQUIRED - Static variable in class com.ihr.xbrl.om.taxonomy.XSDAttributeDefinition
  The Constant REQUIRED.
requires_element_arcrole_URI - Static variable in class com.ihr.xbrl.om.exLinks.DefinitionLinkbase
  The Constant requires_element_arcrole_URI.
REQUIRES_ELEMENT_TARGET_NOT_FOUND - Static variable in exception com.ihr.xbrl.om.errors.XBRLValidationException
  The Constant REQUIRES_ELEMENT_TARGET_NOT_FOUND.
reset() - Method in class com.ihr.xbrl.formula.FlVariable
  Reset.
reset() - Method in class com.ihr.xbrl.om.formula.util.XFIImplicitFilterOptimizer
  Prepares the optimizer for a new evaluation cycle.
reset() - Method in class com.ihr.xbrl.om.formula.XBRLVariableResourceUse
  Sets this variable use to the status of not evaluated.
reset() - Method in class com.ihr.xbrl.updates.UpdateFactProperties.UpdateSingleFactProperties
  Reset.
reset() - Static method in class com.ihr.xbrl.util.Statistics
  eliminates all information stored.
reset() - Method in class com.ihr.xbrl.versioning.VlVersioningProcessor
  Reset.
resetAssignmentsUpdated() - Method in class com.ihr.xbrl.versioning.VlVersioningProcessor
  Reset assignments updated.
resetContent() - Method in class com.ihr.xbrl.om.instance.XBRLDimensionsContainer
  Reset content.
resetCounter() - Static method in class com.ihr.xbrl.dts.OpenTableRowKeyMember
  Reset counter.
resetDistanceToLeaf() - Method in class com.ihr.xbrl.om.table.layout.EffectiveBreakdown
  Reset distance to leaf.
resetDistanceToLeaf() - Method in class com.ihr.xbrl.om.table.structural.XBRLStructuralNode
  Reset distance to lead for all aspects.
resetDuplicatesDimension() - Method in class com.ihr.xbrl.dts.DimensionalInstanceExplorer
  Reset duplicates dimension.
resetElements() - Method in class com.ihr.xbrl.om.XMLFragment
  Reset elements.
resetEvaluationContext() - Method in class com.ihr.xbrl.om.assertions.XBRLAssertion
  Reset evaluation context.
resetHash() - Method in class com.ihr.xbrl.om.XMLFragment
  Resets the internal value of the cachedHash to null.
resetLastException() - Method in class com.ihr.xbrl.manage.DbUtil
  Clear the last exception stored on this class.
resetLog() - Method in class com.ihr.xbrl.gui.basic.VoidLogPanel
resetLog() - Method in interface com.ihr.xbrl.gui.interfaces.JLogPanelInterface
  Clear the content of the log window.
resetMapEntries() - Method in class com.ihr.xbrl.mapper.source.CSVDataSource
  Clears the content of the map entries.
resetMergeTagSelector() - Method in class com.ihr.xbrl.om.table.structural.XBRLStructuralNode
  Reset merge tag selector.
resetNode() - Method in interface com.ihr.xbrl.om.table.definition.ConceptAspectInterface
  Reset node.
resetNode() - Method in class com.ihr.xbrl.om.table.definition.ConceptAspectRule
resetNode() - Method in interface com.ihr.xbrl.om.table.definition.ContextComponentRuleInterface
  Reset node.
resetNode() - Method in interface com.ihr.xbrl.om.table.definition.DimensionAspectInterface
  Reset node.
resetNode() - Method in class com.ihr.xbrl.om.table.definition.DimensionExplicitRule
resetNode() - Method in class com.ihr.xbrl.om.table.definition.DimensionRuleSet
  Reset node.
resetNode() - Method in class com.ihr.xbrl.om.table.definition.DimensionTypedRule
resetNode() - Method in class com.ihr.xbrl.om.table.definition.EmptyAspectRule
resetNode() - Method in interface com.ihr.xbrl.om.table.definition.EntityIdentifierAspectInterface
  Reset node.
resetNode() - Method in class com.ihr.xbrl.om.table.definition.EntityIdentifierAspectRule
resetNode() - Method in class com.ihr.xbrl.om.table.definition.ExplicitDimensionAspectNode
resetNode() - Method in class com.ihr.xbrl.om.table.definition.FragmentsAspectRule
resetNode() - Method in class com.ihr.xbrl.om.table.definition.OpenContextComponentRuleSet
  Reset node.
resetNode() - Method in interface com.ihr.xbrl.om.table.definition.PeriodAspectInterface
  Reset node.
resetNode() - Method in class com.ihr.xbrl.om.table.definition.PeriodAspectRule
resetNode() - Method in class com.ihr.xbrl.om.table.definition.TypedDimensionAspectNode
resetNode() - Method in class com.ihr.xbrl.om.table.definition.UnitAction
resetNode() - Method in interface com.ihr.xbrl.om.table.definition.UnitAspectInterface
  Reset node.
resetNode() - Method in class com.ihr.xbrl.om.table.definition.UnitAspectRule
resetNode() - Method in class com.ihr.xbrl.om.table.definition.XBRLRuleNode.RuleSet
  Reset node.
resetNode() - Method in class com.ihr.xbrl.om.table.definition.XPathAspectRule
resetNode() - Method in class com.ihr.xbrl.om.table.structural.DimensionDefaultRule
resetNode() - Method in class com.ihr.xbrl.om.table.structural.XBRLConceptClosedRelationshipStructuralNode
resetNode() - Method in class com.ihr.xbrl.om.table.structural.XBRLDimensionClosedRelationshipStructuralNode
resetSessionFactory() - Method in class com.ihr.xbrl.manage.DbUtil
  Clear current session factory and the last exception.
resetTable() - Method in class com.ihr.xbrl.om.table.definition.XBRLBreakdown
  This method traverse all elements in the definition layer and cleans up all evaluated and cached resources so the table can be evaluated again. it is calles by the API automatically each time a table in the tableSet is evaluated
resetTable() - Method in class com.ihr.xbrl.om.table.definition.XBRLDefinitionNode
  This method traverse all elements in the definition layer and cleans up all evaluated and cached resources so the table can be evaluated again. it is called by the API automatically each time a table in the tableSet is evaluated
resetTable() - Method in class com.ihr.xbrl.om.table.definition.XBRLTable
  This method traverse all elements in the definition layer and cleans up all evaluated and cached resources so the table can be evaluated again. it is calles by the API automatically each time a table in the tableSet is evaluated
resetTable() - Method in class com.ihr.xbrl.om.table.XBRLBreakdownUse
  This method traverse all elements in the definition layer and cleans up all evaluated and cached resources so the table can be evaluated again. it is calles by the API automatically each time a table in the tableSet is evaluated
resetTable() - Method in class com.ihr.xbrl.om.table.XBRLDefinitionNodeUse
  This method traverse all elements in the definition layer and cleans up all evaluated and cached resources so the table can be evaluated again. it is calles by the API automatically each time a table in the tableSet is evaluated
resetTypedDimensions() - Method in class com.ihr.xbrl.dts.DimensionalInstanceExplorer
  Clear typed dimension members.
resolve(URI) - Method in interface com.ihr.xbrl.gui.interfaces.URIResolverGUI
  Resolves a URI by asking the user for the final file in the file system.
resolve(String, String) - Method in class com.ihr.xbrl.om.DTSCatalogURIResolver
resolve(String, String, String[]) - Method in class com.ihr.xbrl.om.DTSCatalogURIResolver
resolve(String, String) - Method in class com.ihr.xbrl.om.DynamicCacheCatalogResolver
resolve(String, String, String[]) - Method in class com.ihr.xbrl.om.DynamicCacheCatalogResolver
resolve(XMLElementDefinition, FContext, XPathHelper, QName) - Method in class com.ihr.xbrl.om.formula.aspects.DefaultAspectRule
resolve(XMLElementDefinition, FContext, XPathHelper, QName) - Method in interface com.ihr.xbrl.om.formula.aspects.DimensionAspectInterface
  Resolve one dimension in the appropriate dimension container.
resolve(XMLElementDefinition, FContext, XPathHelper, QName) - Method in class com.ihr.xbrl.om.formula.aspects.DimensionExplicitRule
resolve(XMLElementDefinition, FContext, XPathHelper, QName) - Method in class com.ihr.xbrl.om.formula.aspects.DimensionTypedRule
resolve(String, String) - Method in class com.ihr.xbrl.om.GUIURIResolver
resolve(String, String) - Method in class com.ihr.xbrl.om.LocalResourceURIResolver
resolve(String, String, String[]) - Method in class com.ihr.xbrl.om.LocalResourceURIResolver
resolve(String, String) - Method in class com.ihr.xbrl.om.RSRemoteCatalogResolver
resolve(String, String) - Method in class com.ihr.xbrl.om.SimpleMatchURIResolver
resolve(String, String) - Method in class com.ihr.xbrl.om.TaxonomyPackageURIResolver
resolve(String, String, String[]) - Method in class com.ihr.xbrl.om.TaxonomyPackageURIResolver
resolve(String) - Method in class com.ihr.xbrl.om.TaxonomyPackageURIResolver.TaxonomyPackage
  Resolve.
resolve(URI, String) - Method in class com.ihr.xbrl.om.TaxonomyPackageURIResolver.TaxonomyPackage
  Resolve.
resolve(String, String, String[]) - Method in class com.ihr.xbrl.om.XBRLSchemaURIResolver
resolve(String, String) - Method in class com.ihr.xbrl.om.ZipCascadeURIResolver
resolve(String, String, String[]) - Method in class com.ihr.xbrl.om.ZipCascadeURIResolver
resolve(String) - Method in class com.ihr.xbrl.om.ZipCascadeURIResolver.ZipPackage
  Resolve.
resolve(String, String) - Method in class com.ihr.xbrl.pojo.DatabaseUriResolver
resolve(String, String, String[]) - Method in class com.ihr.xbrl.util.XbrlJURIResolver
resolve(String, String, String[]) - Method in class com.ihr.xbrl.versioning.VersioningSchemasResolver
resolve_equal2(XdmNode) - Method in interface com.ihr.xbrl.dts.HasAdditionalEqualityForReassignation
  resolves content that is added by this XMLFragment during XMLNode serialization and may not be available to the lower levels in the hierarchy.
resolve_equal2(XdmNode) - Method in class com.ihr.xbrl.om.instance.XBRLFactItem
resolve_equal2(XdmNode) - Method in class com.ihr.xbrl.om.instance.XBRLFactNonNumeric
resolve_equal2(XdmNode) - Method in class com.ihr.xbrl.om.instance.XBRLFactNumeric
resolve_equal2(XdmNode) - Method in class com.ihr.xbrl.om.instance.XBRLPeriod
resolve_equal2(XdmNode) - Method in class com.ihr.xbrl.om.instance.XBRLScenario
resolve_equal2(XdmNode) - Method in class com.ihr.xbrl.om.instance.XBRLSegment
resolve_equal2(XdmNode) - Method in class com.ihr.xbrl.om.instance.XBRLUnit
resolve_equal2(XdmNode) - Method in class com.ihr.xbrl.om.XMLFragment
resolveBreakdownVariable(Axis) - Method in class com.ihr.xbrl.om.table.structural.XBRLStructuralTable
  This class contains single variables for the breakdown on each axis.
resolveEntity(String, String, String, String) - Method in class com.ihr.xbrl.om.DTSCatalogURIResolver
resolveEntity(String, String) - Method in class com.ihr.xbrl.om.DTSCatalogURIResolver
resolveEntity(String, String) - Method in class com.ihr.xbrl.om.DynamicCacheCatalogResolver
resolveEntity(String, String) - Method in class com.ihr.xbrl.om.LocalResourceURIResolver
resolveEntity(String, String) - Method in class com.ihr.xbrl.om.TaxonomyPackageURIResolver
resolveEntity(String, String) - Method in class com.ihr.xbrl.om.ZipCascadeURIResolver
resolveHRef(URI) - Method in class com.ihr.xbrl.om.XMLFragment
  Resolves an HRef by returning the absolute URI of the document pointed to by the href.
resolveHRef(URI, XdmNode) - Method in class com.ihr.xbrl.om.XMLFragment
  Resolves an HRef by returning the absolute URI of the document pointed to by the href.
ResolversPool - Class in com.ihr.xbrl.resolvers
  This is the class with static methods that is able to provide instances of resolvers for simple jobs.
ResolversPool() - Constructor for class com.ihr.xbrl.resolvers.ResolversPool
resolveSource(Source, Configuration) - Method in class com.ihr.xbrl.om.SourceBridge
resolveVariable(QName) - Method in class com.ihr.xbrl.formula.FlBindAll
resolveVariable(QName) - Method in class com.ihr.xbrl.formula.FlBindC
resolveVariable(QName) - Method in class com.ihr.xbrl.formula.FlFilterDim
resolveVariable(QName) - Method in class com.ihr.xbrl.formula.FlVariableResolver
resolveVariable(QName) - Method in class com.ihr.xbrl.transform.target.HTMLReportHandler
resolveXBRLScheme(String) - Static method in class com.ihr.xbrl.util.URITools
  If the protocol of this URI is xbrl. change it to be http or file
resolveXPointer(URI, XMLDocumentURI) - Method in class com.ihr.xbrl.om.DTSContainer
  resolve the XPointer to the node pointed to and returns the XMLFragment it points to or null if none can be found.
resource - Static variable in class com.ihr.xbrl.om.approps.XBRLAppPropsProcessor
  The Constant resource.
RESOURCE - Static variable in class com.ihr.xbrl.om.exLinks.XLinkElement
  The Constant RESOURCE.
resourceName - Static variable in class com.ihr.xbrl.om.assertions.XBRLConsistencyAssertion
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.assertions.XBRLExistenceAssertion
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.assertions.XBRLValueAssertion
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.aspects.ConceptAspectRule
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.aspects.DimensionExplicitRule
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.aspects.DimensionTypedRule
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.aspects.EmptyAspectRule
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.aspects.EntityIdentifierAspectRule
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.aspects.FragmentsAspectRule
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.aspects.PeriodAspectRule
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.aspects.UnitAspectRule
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.aspects.XPathAspectRule
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLAncestorFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLAndFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLAspectCoverFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLConceptBalanceFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLConceptCustomAttributeFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLConceptDataTypeFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLConceptNameFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLConceptPeriodTypeFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLConceptSubstitutionGroupFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLExplicitDimensionFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLGeneralFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLGeneralMeasuresFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLIdentifierFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLLocationFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLMatchConceptFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLMatchDimensionFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLMatchEntityIdentifierFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLMatchLocationFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLMatchNonXDTScenarioFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLMatchNonXDTSegmentFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLMatchPeriodFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLMatchScenarioFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLMatchSegmentFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLMatchUnitFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLOrFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLParentFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLPeriodEndFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLPeriodFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLPeriodForeverFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLPeriodInstantDurationFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLPeriodInstantFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLPeriodStartFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLRegExpIdentifierFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLRegExpSchemeFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLRelativeFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLScenarioFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLSegmentFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLSiblingFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLSingleMeasureFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLSpecificIdentifierFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLSpecificSchemeFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLTypedDimensionFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLValueNilFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.filters.XBRLValuePrecisionFilter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.XBRLCustomFunction
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.XBRLVariableEqualityDefinition
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.XBRLVariableFact
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.XBRLVariableGeneral
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.XBRLVariableParameter
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.formula.XBRLVariablePrecondition
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.table.definition.ConceptAspectRule
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.table.definition.DimensionExplicitRule
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.table.definition.EmptyAspectRule
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.table.definition.EntityIdentifierAspectRule
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.table.definition.FragmentsAspectRule
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.table.definition.PeriodAspectRule
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.table.definition.UnitAspectRule
  The Constant resourceName.
resourceName - Static variable in class com.ihr.xbrl.om.table.definition.XPathAspectRule
  The Constant resourceName.
resources - Static variable in class com.ihr.xbrl.util.TextTools
  The Constant resources.
restart() - Method in class com.ihr.xbrl.om.formula.util.LookForwardAndFilterIterator
  Restart.
restartFilter() - Method in class com.ihr.xbrl.om.formula.util.XFIImplicitFilterOptimizer
  Restart filter.
RESTRICTION - Static variable in class com.ihr.xbrl.om.taxonomy.XMLElementDefinition
  The Constant RESTRICTION.
retainAll(Collection<?>) - Method in class com.ihr.xbrl.util.CollectionArray
retainAll(Collection<?>) - Method in class com.ihr.xbrl.util.EmptyCollection
retainAll(Collection<?>) - Method in class com.ihr.xbrl.util.EmptySet
retainAll(XBRLqResult<T>) - Method in class com.ihr.xbrl.xbrlq.XBRLqResult
  Retain all.
Return - Class in com.rs.xbrl.instructions.flow
Return() - Constructor for class com.rs.xbrl.instructions.flow.Return
returnedClass() - Method in class com.ihr.xbrl.pojo.DB2ByteArray
returnedClass() - Method in class com.ihr.xbrl.pojo.OracleStringType
right() - Method in class com.ihr.xbrl.tools.excel.ExcelSheetPoint
  Moves this SheetPoint to point to the cell that is on the right of this cell.
right(int) - Method in class com.ihr.xbrl.tools.excel.ExcelSheetPoint
  Moves this SheetPoint to the right n cells.
right(int) - Method in interface com.ihr.xbrl.util.workbooks.SheetPoint
  Right.
ROLE - Static variable in class com.ihr.xbrl.om.exLinks.XLinkElement
  The Constant ROLE.
role - Static variable in class com.ihr.xbrl.om.exLinks.XLinkElement
  The Constant role.
ROLE_ID_MISTMATCH - Static variable in exception com.ihr.xbrl.om.errors.XBRLValidationExceptionRoleTypeUnresolvable
  The Constant ROLE_ID_MISTMATCH.
ROLE_TYPE_NOT_DECLARED_USED_ON - Static variable in exception com.ihr.xbrl.om.errors.XBRLValidationException
  The Constant ROLE_TYPE_NOT_DECLARED_USED_ON.
ROLE_TYPE_UNRESOLVABLE - Static variable in exception com.ihr.xbrl.om.errors.XBRLValidationException
  The Constant ROLE_TYPE_UNRESOLVABLE.
RoleChecker - Class in com.ihr.xbrl.dts
  Static methods to check if a role is negated or total.
RoleChecker() - Constructor for class com.ihr.xbrl.dts.RoleChecker
roleHintsArcrole_URI - Static variable in class com.ihr.xbrl.om.renderhints.RenderHintsProcessor
  The Constant roleHintsArcrole_URI.
ROLEREF_POINTS_TO_NON_TAXONOMY_SCHEMA - Static variable in exception com.ihr.xbrl.om.errors.XBRLValidationException
  The Constant ROLEREF_POINTS_TO_NON_TAXONOMY_SCHEMA.
roleTypeQName - Static variable in class com.ihr.xbrl.om.taxonomy.XBRLRoleType
  The Constant roleTypeQName.
root - Static variable in class com.ihr.xbrl.om.formula.functions.XFI_concept_relationships
  The Constant root.
rootNode - Static variable in class com.ihr.xbrl.om.DTSCatalogURIResolver
  The Constant rootNode.
rootNode - Static variable in class com.ihr.xbrl.om.ZipCascadeURIResolver
  The Constant rootNode.
roundTo(int) - Method in class com.ihr.xbrl.om.instance.XBRLNumericValue
  Round to a specific value for the decimals attribute or number of characters in the precision attribute.
RowKey - Class in com.ihr.xbrl.dts
  This is a key generated from information in a context.
RowKey(XBRLContext) - Constructor for class com.ihr.xbrl.dts.RowKey
  Instantiates a new row key.
RS - Static variable in class com.ihr.xbrl.util.OEM
  This is Reporting Standard as OEM.
RS_IsFact - Class in com.ihr.xbrl.om.formula.functions
  The Class RS_IsFact.
RS_IsFact() - Constructor for class com.ihr.xbrl.om.formula.functions.RS_IsFact
RS_NO_FILES_TO_LOAD - Static variable in exception com.ihr.xbrl.om.errors.XBRLValidationException
  The Constant RS_NO_FILES_TO_LOAD.
RS_NonXDTScenarioSegmentAspectTestHelper - Class in com.ihr.xbrl.om.formula.functions
  The Class RS_NonXDTScenarioSegmentAspectTestHelper.
RS_NonXDTScenarioSegmentAspectTestHelper() - Constructor for class com.ihr.xbrl.om.formula.functions.RS_NonXDTScenarioSegmentAspectTestHelper
RS_RelativeFilter - Class in com.ihr.xbrl.om.formula.functions
  The Class RS_RelativeFilter.
RS_RelativeFilter() - Constructor for class com.ihr.xbrl.om.formula.functions.RS_RelativeFilter
RS_XFI_RelationshipTypeNS - Static variable in class com.ihr.xbrl.om.XBRL
  The Constant RS_XFI_RelationshipTypeNS.
RS_XFI_RelationshipTypeURL - Static variable in class com.ihr.xbrl.om.XBRL
  The Constant RS_XFI_RelationshipTypeURL.
RSAccess(String) - Static method in class com.ihr.xbrl.util.OEM
  Returns true if the property is NOT defined or it is defined with a value other than "false".
RSCell - Interface in com.ihr.xbrl.util.workbooks
  The Interface RSCell.
RSCompanyNameEdit - Static variable in class com.ihr.xbrl.util.OEM
  The Constant RSCompanyNameEdit.
RSCompanyNameLabel - Static variable in class com.ihr.xbrl.util.OEM
  The Constant RSCompanyNameLabel.
RSCompanyNameTooltip - Static variable in class com.ihr.xbrl.util.OEM
  The Constant RSCompanyNameTooltip.
RSCustomLogo - Static variable in class com.ihr.xbrl.util.OEM
  The Constant RSCustomLogo.
RSCustomRequestCompanies - Static variable in class com.ihr.xbrl.util.OEM
  The Constant RSCustomRequestCompanies.
RSDefaultShemeURI - Static variable in class com.ihr.xbrl.util.OEM
  This is the key for the default scheme associated with an OEM.
RSDimensionsNameNamespace - Static variable in interface com.ihr.xbrl.dts.Dimension
  The Constant RSDimensionsNameNamespace.
RSDimensionsNameNamespacePrefix - Static variable in interface com.ihr.xbrl.dts.Dimension
  The Constant RSDimensionsNameNamespacePrefix.
RSEnvPropHomeDir - Static variable in class com.ihr.xbrl.util.RSStaticAndUser
  This is the XBRL home directory stored in a system property called xbrl.rs.home.
RSEnvVarHomeDir - Static variable in class com.ihr.xbrl.util.RSStaticAndUser
  If this the environment variable that, if defined, its value is used rather than the value of the user.home property of the java virtual machine while obtaining the path of a properties file.
RSFixedUnit - Static variable in class com.ihr.xbrl.util.OEM
  If the project does not allows to change units, this property is assigned to the monetary unit that shall be used.
RSFunctionLibrary - Class in com.ihr.xbrl.om.formula.functions
  The Class RSFunctionLibrary.
RSFunctionLibrary(XBRLFormulaProcessor) - Constructor for class com.ihr.xbrl.om.formula.functions.RSFunctionLibrary
  Instantiates a new RS function library.
RSFUNCTIONLIBRARYPREFIX - Static variable in class com.ihr.xbrl.om.formula.functions.RSFunctionLibrary
  The Constant RSFUNCTIONLIBRARYPREFIX.
RSFUNCTIONLIBRARYURI - Static variable in class com.ihr.xbrl.om.formula.functions.RSFunctionLibrary
  The Constant RSFUNCTIONLIBRARYURI.
RSHomeCatalogDir - Static variable in class com.ihr.xbrl.util.RSStaticAndUser
  This is the directory name under the "all users" installation folder where the catalog is installed.
RSHomeDir - Static variable in class com.ihr.xbrl.util.RSStaticAndUser
  This is the directory name under the user.home property or XBRLRSHOME environment property where properties files will be stored.
RSIdentifierFormatter - Static variable in class com.ihr.xbrl.util.OEM
  The Constant RSIdentifierFormatter.
RSMessageBeforeSaveCleanMessage - Static variable in class com.ihr.xbrl.util.OEM
  Message to be sent to the user when the instance is clean for specific projects.
RSPrintMenu - Static variable in class com.ihr.xbrl.util.OEM
  The Constant RSPrintMenu.
RSRemoteCatalogGUI - Interface in com.ihr.xbrl.gui.interfaces
  The Interface RSRemoteCatalogGUI.
RSRemoteCatalogGUI.Result - Enum in com.ihr.xbrl.gui.interfaces
  The Enum Result.
RSRemoteCatalogResolver - Class in com.ihr.xbrl.om
  This new resolver is inserted to allow for dynamic installation of taxonomy catalogs.
RSRemoteCatalogResolver(RSRemoteCatalogGUI, URIResolver) - Constructor for class com.ihr.xbrl.om.RSRemoteCatalogResolver
  Creates an instance of this resolver and sets the resolver passed in as the next resolver to be used Also, sets the instance of the class that will implement all dialogs with the end user in order to interact and ask questions and obtain feedback.
RSRemoteCatalogResolver.CatalogFormat - Enum in com.ihr.xbrl.om
  The Enum CatalogFormat.
RSRemoteCatalogResolver.StaticCatalogEntry - Class in com.ihr.xbrl.om
  This is the object model representation of an entry in the static catalog.
RSRemoteCatalogResolver.StaticCatalogEntry(String, String, URI, URI, String, String, String, String, String, String, String, String) - Constructor for class com.ihr.xbrl.om.RSRemoteCatalogResolver.StaticCatalogEntry
  Instantiates a new static catalog entry.
RSRemoteCatalogResolverFactory - Class in com.ihr.xbrl.om
  Factory class to create an instance of the RSRemoteCatalogResolver and register with the DTS.
RSRemoteCatalogResolverFactory(RSRemoteCatalogGUI) - Constructor for class com.ihr.xbrl.om.RSRemoteCatalogResolverFactory
  Instantiates a new RS remote catalog resolver factory.
RSRemoteCatalogURL - Static variable in class com.ihr.xbrl.util.OEM
  This is the key for the URL where the remote catalog is stored.
RSS_Storage_SEC - Class in com.ihr.xbrl.store.services
  This is the new implementation.
RSS_Storage_SEC() - Constructor for class com.ihr.xbrl.store.services.RSS_Storage_SEC
  Instantiates a new RS s_ storage_ sec.
RSSaveAs - Static variable in class com.ihr.xbrl.util.OEM
  The Constant RSSaveAs.
RSSchemeVisible - Static variable in class com.ihr.xbrl.util.OEM
  This is the key for the Scheme Visible property.
RSSheet - Interface in com.ihr.xbrl.util.workbooks
  The Interface RSSheet.
RSShowInstanceFileNameAfterSave - Static variable in class com.ihr.xbrl.util.OEM
  this is "true" when the application shall show a message after the instance has been saved on disk.
RSStandardFunction - Class in com.ihr.xbrl.om.formula.functions
  The Class RSStandardFunction.
RSStandardFunction() - Constructor for class com.ihr.xbrl.om.formula.functions.RSStandardFunction
RSStaticAndUser - Class in com.ihr.xbrl.util
  This class contains static properties shared between tools that has a GUI etc.
RSStaticAndUser() - Constructor for class com.ihr.xbrl.util.RSStaticAndUser
RSTaxonomyDoubleClickOpenFileContent - Static variable in class com.ihr.xbrl.util.OEM
  The Constant RSTaxonomyDoubleClickOpenFileContent.
RSWorkbook - Interface in com.ihr.xbrl.util.workbooks
  The Interface RSWorkbook.
run() - Method in class com.ihr.xbrl.gui.basic.BackgroundProcessWithGui
run() - Method in interface com.ihr.xbrl.gui.basic.BackgroundProcessWithGui.RunInThisThread
  Run.
run() - Method in class com.ihr.xbrl.mapper.util.LoadMapperInThread
run() - Method in class com.ihr.xbrl.store.LoadPojoInThread
run() - Method in class com.ihr.xbrl.store.StoreXBRLThread
run() - Method in class com.ihr.xbrl.updates.UpdateFactProperties.UpdateThread
run() - Method in class com.ihr.xbrl.util.LoadDTSInThread
run() - Method in class com.ihr.xbrl.util.Timer
runInSwingThread() - Method in class com.ihr.xbrl.gui.basic.AtEndLongTask
runInSwingThread() - Method in interface com.ihr.xbrl.gui.basic.BackgroundProcessWithGui.GUITask
  Run in swing thread.
runInSwingThread() - Method in class com.ihr.xbrl.gui.basic.PrepareGUIForLongTask
RunnableWithParameters - Class in com.ihr.xbrl.util
  The Class RunnableWithParameters.
RunnableWithParameters(Object[]) - Constructor for class com.ihr.xbrl.util.RunnableWithParameters
  Instantiates a new runnable with parameters.
runningExecutors - Variable in class com.ihr.xbrl.om.formula.FormulaProcessorStatus
  The running executors.
runService(String, StorageEventListener[], boolean) - Method in class com.ihr.xbrl.store.services.RSS_Storage_SEC
  reads the content of the URL indicated in the first argument and process it according to the format specified by the SEC RSS.

A B C D E F G H I J K L M N O P Q R S T U V W X Y Z _